/* Qt Plugin interface for the Quarticurve style
 * Copyright (c) 2002 Red Hat, Inc.
 * Copyright (c) 2007 Kevin Kofler
 * Programmed by Bernhard Rosenkränzer <bero@redhat.com>
 * Ported to Qt 4 by Kevin Kofler <Kevin@tigcc.ticalc.org>
 * Released under the GNU General Public License (GPL) version 2.
 */
#include <qstyleplugin.h>
#include "quarticurve.h"

class QuarticurveStylePlugin : public QStylePlugin
{
public:
    QuarticurveStylePlugin();

    QStringList keys() const;
    QStyle *create(const QString &);
};

QuarticurveStylePlugin::QuarticurveStylePlugin()
    : QStylePlugin()
{
}

QStringList QuarticurveStylePlugin::keys() const
{
    QStringList list;
    list << "Quarticurve";
    return list;
}

QStyle *QuarticurveStylePlugin::create(const QString &s)
{
    if (s.lower() == "quarticurve")
	return new QuarticurveStyle;
    return 0;
}

Q_EXPORT_PLUGIN( QuarticurveStylePlugin )
